--- old/usr/src/lib/libm/common/R/logbf.c	2014-10-27 12:36:57.751806028 -0400
+++ new/usr/src/lib/libm/common/R/logbf.c	2014-10-27 12:36:57.763117243 -0400
@@ -27,15 +27,13 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak logbf = __logbf
-#endif
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 #define	_C99SUSv3_logb	_C99SUSv3_logb_subnormal_is_like_ilogb
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two25 = 33554432.0F;
 #else
 /*
@@ -54,7 +52,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 static float
 raise_division(float t) {
@@ -71,7 +69,7 @@
 		if (k == 0)
 			return (raise_division(-1.0F));
 		else if ((__xpg6 & _C99SUSv3_logb) != 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two25;
 			return ((float) (((*((int *) &x) & 0x7f800000) >> 23) -
 				152));
